'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _g, _defs;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgPetsOutlined = function SvgPetsOutlined(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 24 24",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, _g || (_g = /*#__PURE__*/React__namespace.createElement("g", {
    clipPath: "url(#PetsOutlined_svg__a)"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "currentColor",
    fillRule: "evenodd",
    d: "M9 8a2.5 2.5 0 1 0 0-5 2.5 2.5 0 0 0 0 5m-4.5 4a2.5 2.5 0 1 0 0-5 2.5 2.5 0 0 0 0 5m13-6.5a2.5 2.5 0 1 1-5 0 2.5 2.5 0 0 1 5 0m2 6.5a2.5 2.5 0 1 0 0-5 2.5 2.5 0 0 0 0 5m-3.056 1.806.896 1.054.236.235c1.259 1.25 2.666 2.646 2.374 4.565-.29 1.01-1.02 2.03-2.33 2.32-.336.064-1.01-.024-1.883-.137-1.023-.134-2.318-.303-3.657-.303h-.18c-1.327 0-2.612.169-3.63.303-.886.117-1.57.207-1.91.137-1.31-.29-2.04-1.3-2.33-2.32-.282-1.908 1.124-3.304 2.382-4.553l.238-.237c.564-.654 1.067-1.246 1.584-1.855l.896-1.055c.47-.54 1.05-1.08 1.75-1.32q.165-.06.33-.09c.26-.05.53-.05.79-.05s.53 0 .78.04q.165.03.33.09c.7.24 1.29.78 1.75 1.32.564.654 1.067 1.246 1.584 1.856",
    clipRule: "evenodd"
  }))), _defs || (_defs = /*#__PURE__*/React__namespace.createElement("defs", null, /*#__PURE__*/React__namespace.createElement("clipPath", {
    id: "PetsOutlined_svg__a"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    d: "M0 0h24v24H0z"
  })))));
};

exports.ReactComponent = SvgPetsOutlined;
